> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund a donation



## OpenAPI

````yaml get /admin/donation/{donation_id}/refund
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donation/{donation_id}/refund:
    get:
      tags:
        - Donations
      summary: Refund a donation
      operationId: ed98126cb196fd75ba20068d5832d9a9
      parameters:
        - name: donation_id
          in: path
          description: ID of the donation to be refunded
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Donation successfully refunded.
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation successfully refunded.
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Invalid input'
                type: object
        '404':
          description: Donation not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation not found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````